<app-loading *ngIf="isLoadingPage"></app-loading>
<div>
  <nz-card class="main-list-info-organization-card">
    <div nz-row class="main-list-info-organization-card__row">
      <div nz-col nzSpan="6" class="main-list-info-organization-card__left">
        <mb-input-text mbType="default" [defaultInput]="true" (mbKeyup)="changeOrgName($event)" mbLabelText="Tên đơn vị"
          mbPlaceholder="Nhập tên đơn vị" [(ngModel)]="objectSearch.orgName">
        </mb-input-text>
      </div>
      <div nz-col nzSpan="6" class="main-list-info-organization-card__center">
        <mb-select [mbDataSelects]="listBranch" mbKeyLabel="lvaMean" mbKeyValue="lvaValue" mbLabelText="Loại chi nhánh"
          mbPlaceholder="Chọn loại chi nhánh" [mbOptionHeightPx]="58" [(ngModel)]="objectSearch.branchType"></mb-select>
      </div>
      <div nz-col nzSpan="6" class="main-list-info-organization-card__right">
        <mb-select [mbDataSelects]="listRegion" mbKeyLabel="lvaMean" mbPlaceholder="Chọn khu vực" mbKeyValue="lvaValue"
          mbLabelText="Khu vực" [mbOptionHeightPx]="58" [(ngModel)]="objectSearch.region"></mb-select>
      </div>
      <div nz-col nzSpan="6" class="main-list-info-organization-card__right">
        <mb-select [mbDataSelects]="listOrgLevel" mbKeyLabel="value" mbPlaceholder="Chọn cấp đơn vị" mbKeyValue="id"
          mbLabelText="Cấp đơn vị" [mbOptionHeightPx]="58" [(ngModel)]="objectSearch.orgLevel"></mb-select>
      </div>
    </div>

    <div class="main-list-info-organization-card__button-search">
      <mb-button mbButtonSize="VERY_LARGE" mbButtonAvailableStyle="CUSTOM" (click)="searchInfoOrganization()"
        mbButtonText="{{ 'modelOrganization.initScreen.label.search' | translate }}"></mb-button>
      <div class="main-model-organization-card__button-excel">
        <mb-button *ngIf="objFunction.export" mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="exportExcel()">
          <img src="../../../../../assets/images/icon/excel.svg" alt="" />
        </mb-button>
      </div>
    </div>
  </nz-card>


  <div style='width: 100%; display: flex; justify-content: end; margin-top: 22px;'>
    <mb-button mbButtonType="NO_BORDER" mbButtonTextColor="#fff" mbButtonBgColor="#141ED2" mbButtonIconType="AWESOME"
      mbPrefixIcon="fas fa-bars" nz-popover [nzPopoverTitle]="popoverTitle" nzPopoverTrigger="click"
      (click)="tableConfigVisible = false" [nzPopoverContent]="contentTemplate" [nzPopoverVisible]="tableConfigVisible"
      nzPopoverPlacement="bottomRight"></mb-button>
  </div>
  <ng-template #contentTemplate>
    <div class="show-column__panel">
      <ul class="table-wrap__show-column">
        <li class="flex space-between" style="padding: 4px 16px 8px 0"
          *ngFor="let item of tableConfigHeaderSearch.headers">
          <label nz-checkbox (nzCheckedChange)="changeSignalCheck($event,item)" [(nzChecked)]="item.show"><span
              cdkDragHandle>{{item.title }}</span></label>
        </li>
      </ul>
    </div>
  </ng-template>
  <ng-template #popoverTitle>
    <p><strong>{{ 'common.label.searchField' | translate }}</strong></p>
    <mb-input-text [mbMaxLength]="200" mbPlaceholderText="-- {{ 'common.label.searchFieldInput' | translate }} --"
      [mbShowFlexEnd]="false" [(ngModel)]="columnSearch" (keyup)="searchColumn($event)"></mb-input-text>
    <br>
    <nz-space>
      <span *nzSpaceItem>
        <label nz-checkbox (nzCheckedChange)="changeAllTableTableConfigShow($event)"
          [nzIndeterminate]="allTableFieldIndeterminate" [(nzChecked)]="allTableFieldChecked">{{
          'common.label.chooseAll' | translate }}
        </label>
      </span>
      <mb-button (click)="reset()" *nzSpaceItem mbButtonType="NO_BORDER" mbButtonTextColor="#fff"
        mbButtonBgColor="#141ED2" mbButtonText="{{ 'common.label.resetConfig' | translate}}"></mb-button>
    </nz-space>


  </ng-template>
  <div class="table">
    <nz-table #basicTable [nzData]="listDataInfoOrg" nzTableLayout="fixed" [nzShowPagination]="false"
      [nzFrontPagination]="false" [nzScroll]="{ x: 'SCROLL_CONFIG' }">
      <thead>
        <tr>
          <th scope="col"  nzWidth=" 80px" nzLeft>STT</th>
          <ng-container *ngFor="let data of tableConfigHeaderShow; let i = index">
            <th *ngIf="data.width"    [nzWidth]="data.width + 'px'">
              {{data.title}}</th>
              <th *ngIf="!data.width" style="width: 180px;"   >
                {{data.title}}</th>
          </ng-container>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let data of listDataInfoOrg; let i = index" (dblclick)="editInfoOrg(data.orgId)">
          <td nzLeft>{{ i + 1 + listSettingPaginationCustom.size * listSettingPaginationCustom.pageIndex }}</td>
          <ng-container *ngFor="let dataHeader of tableConfigHeaderShow; let i1 = index">
            <td nz-tooltip [nzTooltipTitle]="data[dataHeader.field]">
              {{data[dataHeader.field]}}
            </td>
          </ng-container>
        </tr>
      </tbody>
    </nz-table>
    <div class="pagination">
      <div *ngIf="listDataInfoOrg.length === 0; else elseTplNoti">
        <img class="pagination__table-info--icon" alt="" src="assets/images/icon/idea.svg" />
        <span class="pagination__table-info--text"> Tìm thấy {{ listDataInfoOrg.length }} kết quả </span>
      </div>
      <ng-template #elseTplNoti>
        <div class="pagination__table-info">
          <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
          <span class="pagination__table-info--text">Tìm thấy {{ listSettingPaginationCustom.total }} kết quả, hiển thị
            từ
            {{ listSettingPaginationCustom.size * listSettingPaginationCustom.pageIndex + 1 }} đến
            {{
            listSettingPaginationCustom.size * listSettingPaginationCustom.pageIndex +
            listSettingPaginationCustom.numberOfElements
            }}</span>
        </div>
      </ng-template>
      <nz-pagination [nzPageIndex]="listSettingPaginationCustom.pageIndex + 1"
        (nzPageIndexChange)="getListTemplateBasePagination($event)" [nzTotal]="listSettingPaginationCustom.total"
        [nzPageSize]="listSettingPaginationCustom.size"></nz-pagination>
    </div>
  </div>
</div>
